'''
Created 20-Dec-2024
Update  29-Mar-2025
'''
# I abandoned NamdedTuple because Python was throwing an incomrehensible error
#from typing import NamedTuple
#class VersionInfo (NamedTuple):
from collections import namedtuple

class VersionInfo (namedtuple('VersionInfo', 'name, major, minor, sub_minor, description')):
    """ VersionInfo: a read-only class to store and format version information. """
    '''
    app_name: str
    major: int
    minor: int
    sub_minor: int
    description: str
    '''
    
    @property
    def app_name (self)->str:
        return self.name
        
    @property
    def brief (self)->str:
        """ Get a brief description of this version. """
        return f"{self.name}: {self.major}.{self.minor}.{self.sub_minor}"
                 
    @property
    def verbose (self)->str:
        """ Get a verbose description of this version. """
        return f"{self.name}: {self.major}.{self.minor}.{self.sub_minor} {self.description}"
                 
    def __str__(self):
        return verbose
        
        
        

    
    